* {
    margin: 0;
    padding: 0;
}

.caja {
    width: 50%;
    height: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.caja-1 {
    background-color: aqua;

}

.caja-2 {
    background-color: brown;
    justify-self: center;
    align-self: center;

}

.caja-3 {
    background-color: greenyellow;
    justify-self: end;
    align-self: end;
}

.caja-4 {
    background-color: blueviolet;
    width: 100%;
    height: 100%;
}

.contenedor {
    width: 80%;
    height: 80vh;
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 20px;
}